#import "~/graphql_shared/fragments/user.fragment.graphql"
#import "~/work_items/graphql/award_emoji.fragment.graphql"

fragment WorkItemNote on Note {
  id
  body
  bodyHtml
  system
  internal
  systemNoteIconName
  createdAt
  lastEditedAt
  url
  authorIsContributor
  maxAccessLevelOfAuthor
  lastEditedBy {
    ...User
    webPath
  }
  discussion {
    id
    resolved
    resolvable
    resolvedBy {
      id
      name
    }
  }
  author {
    ...User
  }
  awardEmoji {
    nodes {
      ...AwardEmojiFragment
    }
  }
  userPermissions {
    adminNote
    awardEmoji
    readNote
    createNote
    resolveNote
    repositionNote
  }
  systemNoteMetadata {
    id
    descriptionVersion {
      id
      diffPath
      deletePath
      canDelete
      deleted
      startVersionId @client
    }
  }
}
